=== debian/changelog ===
golang-github-container-orchestrated-devices-container-device-interface (0.5.2-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 15 Oct 2022 02:45:19 +0800

golang-github-container-orchestrated-devices-container-device-interface (0.5.2-1) unstable; urgency=medium

  * Initial release

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Oct 2022 01:23:56 +0800
