=== debian/control ===
Source: golang-github-container-orchestrated-devices-container-device-interface
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-runtime-tools-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xeipuuv-gojsonschema-dev,
               golang-golang-x-sys-dev,
               golang-k8s-sigs-yaml-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface.git
Homepage: https://github.com/container-orchestrated-devices/container-device-interface
XS-Go-Import-Path: github.com/container-orchestrated-devices/container-device-interface

Package: golang-github-container-orchestrated-devices-container-device-interface-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-fsnotify-fsnotify-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-opencontainers-runc-dev,
         golang-github-opencontainers-runtime-tools-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-pkg-errors-dev,
         golang-github-spf13-cobra-dev,
         golang-github-xeipuuv-gojsonschema-dev,
         golang-golang-x-sys-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends}
Description: container device interface
 CDI (Container Device Interface), is a specification for container runtimes,
 to support third party devices.
 .
 CDI concerns itself only with enabling container to be device aware.
 Areas like resource management are explicitly left out of CDI (and is
 expected to be handled by the orchestrator). Because of this focus, the
 CDI specification is simple to implement and allows great flexibility to
 runtimes and orchestrators.
