=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd
export DH_GOLANG_INSTALL_EXTRA := schema/schema.json schema/defs.json

%:
	dh $@ --builddirectory=_build --buildsystem=golang
