=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/container-orchestrated-devices/container-device-interface \
  refs/tags/v?@ANY_VERSION@ debian
