=== debian/changelog ===
golang-github-container-orchestrated-devices-container-device-interface (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 06:43:18 -0400

golang-github-container-orchestrated-devices-container-device-interface (0.6.1-1) experimental; urgency=medium

  * New upstream release
  * Team Upload.
  * Bump Standards-version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Sep 2023 08:51:18 -0400
