=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
                golang-github-xeipuuv-gojsonschema-dev,
+               golang-golang-x-mod-dev,
                golang-golang-x-sys-dev,
                golang-k8s-sigs-yaml-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface.git
 Homepage: https://github.com/container-orchestrated-devices/container-device-interface
@@ -36,6 +37,7 @@
          golang-github-pkg-errors-dev,
          golang-github-spf13-cobra-dev,
          golang-github-xeipuuv-gojsonschema-dev,
+         golang-golang-x-mod-dev,
          golang-golang-x-sys-dev,
          golang-k8s-sigs-yaml-dev,
          ${misc:Depends}
