=== debian/changelog ===
golang-github-container-orchestrated-devices-container-device-interface (0.6.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 15:12:10 -0500

golang-github-container-orchestrated-devices-container-device-interface (0.6.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream Release
    - rename import to tags.cncf.io, will require changes to imports

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 23 Nov 2023 12:53:39 +0000
