=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface.git
 Homepage: https://github.com/container-orchestrated-devices/container-device-interface
-XS-Go-Import-Path: github.com/container-orchestrated-devices/container-device-interface
+XS-Go-Import-Path: tags.cncf.io/container-device-interface
 
 Package: golang-github-container-orchestrated-devices-container-device-interface-dev
 Architecture: all
