## golang-github-container-orchestrated-devices-container-device-interface 0.8.0

=== debian/changelog ===
golang-github-container-orchestrated-devices-container-device-interface (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Add Conflicts/Replaces/Provides on golang-tags.cncf-container-device-interface-dev
    Closes: #1078454

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Aug 2024 17:49:08 -0400

golang-github-container-orchestrated-devices-container-device-interface (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unused Build-Depends
  * Update homepage and other URL

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 30 Jul 2024 13:14:27 +0800
