=== debian/control ===
--- 
+++ 
@@ -8,12 +8,8 @@
                dh-sequence-golang,
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
-               golang-github-hashicorp-go-multierror-dev,
-               golang-github-opencontainers-runc-dev,
                golang-github-opencontainers-runtime-tools-dev,
                golang-github-opencontainers-specs-dev,
-               golang-github-pkg-errors-dev,
-               golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
                golang-github-xeipuuv-gojsonschema-dev,
                golang-golang-x-mod-dev,
@@ -23,24 +19,22 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-container-orchestrated-devices-container-device-interface.git
-Homepage: https://github.com/container-orchestrated-devices/container-device-interface
+Homepage: https://github.com/cncf-tags/container-device-interface
 XS-Go-Import-Path: tags.cncf.io/container-device-interface
 
 Package: golang-github-container-orchestrated-devices-container-device-interface-dev
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-fsnotify-fsnotify-dev,
-         golang-github-hashicorp-go-multierror-dev,
-         golang-github-opencontainers-runc-dev,
          golang-github-opencontainers-runtime-tools-dev,
          golang-github-opencontainers-specs-dev,
-         golang-github-pkg-errors-dev,
-         golang-github-spf13-cobra-dev,
          golang-github-xeipuuv-gojsonschema-dev,
          golang-golang-x-mod-dev,
          golang-golang-x-sys-dev,
          golang-k8s-sigs-yaml-dev,
          ${misc:Depends}
+Conflicts: golang-tags.cncf-container-device-interface-dev (<< 0.8.0-2)
+Replaces: golang-tags.cncf-container-device-interface-dev (<< 0.8.0-2)
 Description: container device interface
  CDI (Container Device Interface), is a specification for container runtimes,
  to support third party devices.
